[package - 130powerpc64-quarterly][games/crossfire-client] Failed for crossfire-client-1.75.0 in build

From: <pkg-fallout_at_FreeBSD.org>
Date: Thu, 29 Jul 2021 16:39:20 GMT
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     kevinz5000_at_gmail.com
Log URL:        http://foul1.nyi.freebsd.org/data/130powerpc64-quarterly/03c599c1eb7a/logs/crossfire-client-1.75.0.log
Build URL:      http://foul1.nyi.freebsd.org/build.html?mastername=130powerpc64-quarterly&build=03c599c1eb7a
Log:

=>> Building games/crossfire-client
build started at Thu Jul 29 16:37:08 UTC 2021
port directory: /usr/ports/games/crossfire-client
package name: crossfire-client-1.75.0
building for: FreeBSD 130powerpc64-quarterly-job-04 13.0-RELEASE FreeBSD 13.0-RELEASE powerpc
maintained by: kevinz5000_at_gmail.com
Makefile ident: 
Poudriere version: 3.2.8-20-g137a4a48
Host OSVERSION: 1400008
Jail OSVERSION: 1300139
Job Id: 04

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1300139
UNAME_v=FreeBSD 13.0-RELEASE
UNAME_r=13.0-RELEASE
BLOCKSIZE=K
MAIL=/var/mail/root
MM_CHARSET=UTF-8
LANG=C.UTF-8
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-20-g137a4a48
MASTERMNT=/usr/local/poudriere/data/.m/130powerpc64-quarterly/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/130powerpc64-quarterly/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=130powerpc64-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/130powerpc64-quarterly/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
kevinz5000_at_gmail.com
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
ac_cv_path_PERL=/usr/local/bin/perl ac_cv_path_PERL_PATH=/usr/local/bin/perl  PERL_USE_UNSAFE_INC=1 PKG_CONFIG=pkgconf SDL_CONFIG=/usr/local/bin/sdl-config XDG_DATA_HOME=/wrkdirs/usr/ports/games/crossfire-client/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/games/crossfire-client/work  HOME=/wrkdirs/usr/ports/games/crossfire-client/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/games/crossfire-client/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--

--MAKE_ENV--
NINJA_STATUS="[%p %s/%t] " PERL_USE_UNSAFE_INC=1 SDL_CONFIG=/usr/local/bin/sdl-config XDG_DATA_HOME=/wrkdirs/usr/ports/games/crossfire-client/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/games/crossfire-client/work  HOME=/wrkdirs/usr/ports/games/crossfire-client/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/games/crossfire-client/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES DESTDIR=/wrkdirs/usr/ports/games/crossfire-client/work/stage LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing "  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL
 _DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
CMAKE_BUILD_TYPE="release" GTK2_VERSION="2.10.0"  GTK3_VERSION="3.0.0"  GTK4_VERSION="4.0.0" OSREL=13.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib PERL_VERSION=5.32.1  PERL_VER=5.32  PERL5_MAN1=lib/perl5/site_perl/man/man1  PERL5_MAN3=lib/perl5/site_perl/man/man3  SITE_PERL=lib/perl5/site_perl  SITE_ARCH=lib/perl5/site_perl/mach/5.32 DOCSDIR="share/doc/crossfire-client"  EXAMPLESDIR="share/examples/crossfire-client"  DATADIR="share/crossfire-client"  WWWDIR="www/crossfire-client"  ETCDIR="etc/crossfire-client"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/crossfire-client DOCSDIR=/usr/local/share/doc/crossfire-client EXAMPLESDIR=/usr/local/share/examples/crossfire-client  WWWDIR=/usr/local/www/crossfire-client ETCDIR=/usr/local/etc/crossfire-client
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: powerpc64-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: powerpc64-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: powerpc64-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=powerpc64
PPC_ABI=ELFv2
OPSYS=FreeBSD
_OSRELEASE=13.0-RELEASE
OSREL=13.0
OSVERSION=1300139
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   crossfire-client-1.75.0 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.16.3.txz
[130powerpc64-quarterly-job-04] Installing pkg-1.16.3...
[130powerpc64-quarterly-job-04] Extracting pkg-1.16.3: .......... done
===>   crossfire-client-1.75.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of crossfire-client-1.75.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by crossfire-client-1.75.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by crossfire-client-1.75.0 for building
=> SHA256 Checksum OK for crossfire-client-1.75.0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by crossfire-client-1.75.0 for building
===>  Extracting for crossfire-client-1.75.0
=> SHA256 Checksum OK for crossfire-client-1.75.0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for crossfire-client-1.75.0
===========================================================================
=======================<phase: build-depends  >============================
===>   crossfire-client-1.75.0 depends on executable: vala - not found
===>   Installing existing package /packages/All/vala-0.48.10,1.txz
[130powerpc64-quarterly-job-04] Installing vala-0.48.10,1...
[130powerpc64-quarterly-job-04] `-- Installing gettext-runtime-0.21...
[130powerpc64-quarterly-job-04] |   `-- Installing indexinfo-0.3.1...
[130powerpc64-quarterly-job-04] |   `-- Extracting indexinfo-0.3.1: .... done
[130powerpc64-quarterly-job-04] `-- Extracting gettext-runtime-0.21: .......... done
[130powerpc64-quarterly-job-04] `-- Installing glib-2.66.8,2...
[130powerpc64-quarterly-job-04] |   `-- Installing libffi-3.3_1...
[130powerpc64-quarterly-job-04] |   `-- Extracting libffi-3.3_1: .......... done
[130powerpc64-quarterly-job-04] |   `-- Installing libiconv-1.16...
[130powerpc64-quarterly-job-04] |   `-- Extracting libiconv-1.16: .......... done
[130powerpc64-quarterly-job-04] |   `-- Installing libxml2-2.9.12...
[130powerpc64-quarterly-job-04] |   `-- Extracting libxml2-2.9.12: .......... done
[130powerpc64-quarterly-job-04] |   `-- Installing pcre-8.44...
[130powerpc64-quarterly-job-04] |   `-- Extracting pcre-8.44: .......... done
[130powerpc64-quarterly-job-04] |   `-- Installing python38-3.8.10...
[130powerpc64-quarterly-job-04] |   | `-- Installing mpdecimal-2.5.1...
[130powerpc64-quarterly-job-04] |   | `-- Extracting mpdecimal-2.5.1: .......... done
<snip>
#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))
                                           ^
2 warnings generated.
[ 52% 24/44] /usr/bin/cc -D_BSD_SOURCE -D_THREAD_SAFE -Igtk-v2/src -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/harfbuzz -I/usr/local/include/freetype2 -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/SDL -I. -Icommon -I/wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/common -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing   -pthread -std=gnu99 -MD -MT gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/account.c.o -MF gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/account.c.o.d -o gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/account.c.o -c /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/account.
 c
In file included from /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/account.c:22:
In file included from /usr/local/include/gtk-2.0/gtk/gtk.h:33:
In file included from /usr/local/include/gtk-2.0/gtk/gtkaboutdialog.h:32:
In file included from /usr/local/include/gtk-2.0/gtk/gtkdialog.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkwindow.h:36:
In file included from /usr/local/include/gtk-2.0/gtk/gtkbin.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkcontainer.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkwidget.h:36:
In file included from /usr/local/include/gtk-2.0/gtk/gtkobject.h:37:
/usr/local/include/gtk-2.0/gtk/gtktypeutils.h:236:34: warning: 'GTypeDebugFlags' is deprecated [-Wdeprecated-declarations]
void            gtk_type_init   (GTypeDebugFlags    debug_flags);
                                 ^
/usr/local/include/glib-2.0/gobject/gtype.h:685:19: note: 'GTypeDebugFlags' has been explicitly marked deprecated here
} GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
                  ^
/usr/local/include/glib-2.0/glib/gversionmacros.h:510:49: note: expanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_36'
# define GLIB_DEPRECATED_TYPE_IN_2_36           GLIB_DEPRECATED_TYPE
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:1017:30: note: expanded from macro 'GLIB_DEPRECATED_TYPE'
#define GLIB_DEPRECATED_TYPE G_DEPRECATED
                             ^
/usr/local/include/glib-2.0/glib/gmacros.h:944:37: note: expanded from macro 'G_DEPRECATED'
#define G_DEPRECATED __attribute__((__deprecated__))
                                    ^
In file included from /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/account.c:22:
In file included from /usr/local/include/gtk-2.0/gtk/gtk.h:126:
In file included from /usr/local/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30:
In file included from /usr/local/include/gtk-2.0/gtk/gtktoolbutton.h:30:
In file included from /usr/local/include/gtk-2.0/gtk/gtktoolitem.h:31:
/usr/local/include/gtk-2.0/gtk/gtktooltips.h:73:3: warning: 'GTimeVal' is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  GTimeVal last_popdown;
  ^
/usr/local/include/glib-2.0/glib/gtypes.h:545:35: note: 'GTimeVal' has been explicitly marked deprecated here
typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
                                  ^
/usr/local/include/glib-2.0/glib/gversionmacros.h:923:49: note: expanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_62_FOR'
# define GLIB_DEPRECATED_TYPE_IN_2_62_FOR(f)    GLIB_DEPRECATED_TYPE_FOR(f)
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:1018:37: note: expanded from macro 'GLIB_DEPRECATED_TYPE_FOR'
#define GLIB_DEPRECATED_TYPE_FOR(f) G_DEPRECATED_FOR(f)
                                    ^
/usr/local/include/glib-2.0/glib/gmacros.h:952:44: note: expanded from macro 'G_DEPRECATED_FOR'
#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))
                                           ^
2 warnings generated.
[ 54% 25/44] /usr/bin/cc -D_BSD_SOURCE -D_THREAD_SAFE -Igtk-v2/src -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/harfbuzz -I/usr/local/include/freetype2 -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/SDL -I. -Icommon -I/wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/common -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing   -pthread -std=gnu99 -MD -MT gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/create_char.c.o -MF gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/create_char.c.o.d -o gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/create_char.c.o -c /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/
 src/create_char.c
In file included from /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/create_char.c:21:
In file included from /usr/local/include/gtk-2.0/gtk/gtk.h:33:
In file included from /usr/local/include/gtk-2.0/gtk/gtkaboutdialog.h:32:
In file included from /usr/local/include/gtk-2.0/gtk/gtkdialog.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkwindow.h:36:
In file included from /usr/local/include/gtk-2.0/gtk/gtkbin.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkcontainer.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkwidget.h:36:
In file included from /usr/local/include/gtk-2.0/gtk/gtkobject.h:37:
/usr/local/include/gtk-2.0/gtk/gtktypeutils.h:236:34: warning: 'GTypeDebugFlags' is deprecated [-Wdeprecated-declarations]
void            gtk_type_init   (GTypeDebugFlags    debug_flags);
                                 ^
/usr/local/include/glib-2.0/gobject/gtype.h:685:19: note: 'GTypeDebugFlags' has been explicitly marked deprecated here
} GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
                  ^
/usr/local/include/glib-2.0/glib/gversionmacros.h:510:49: note: expanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_36'
# define GLIB_DEPRECATED_TYPE_IN_2_36           GLIB_DEPRECATED_TYPE
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:1017:30: note: expanded from macro 'GLIB_DEPRECATED_TYPE'
#define GLIB_DEPRECATED_TYPE G_DEPRECATED
                             ^
/usr/local/include/glib-2.0/glib/gmacros.h:944:37: note: expanded from macro 'G_DEPRECATED'
#define G_DEPRECATED __attribute__((__deprecated__))
                                    ^
In file included from /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/create_char.c:21:
In file included from /usr/local/include/gtk-2.0/gtk/gtk.h:126:
In file included from /usr/local/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30:
In file included from /usr/local/include/gtk-2.0/gtk/gtktoolbutton.h:30:
In file included from /usr/local/include/gtk-2.0/gtk/gtktoolitem.h:31:
/usr/local/include/gtk-2.0/gtk/gtktooltips.h:73:3: warning: 'GTimeVal' is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  GTimeVal last_popdown;
  ^
/usr/local/include/glib-2.0/glib/gtypes.h:545:35: note: 'GTimeVal' has been explicitly marked deprecated here
typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
                                  ^
/usr/local/include/glib-2.0/glib/gversionmacros.h:923:49: note: expanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_62_FOR'
# define GLIB_DEPRECATED_TYPE_IN_2_62_FOR(f)    GLIB_DEPRECATED_TYPE_FOR(f)
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:1018:37: note: expanded from macro 'GLIB_DEPRECATED_TYPE_FOR'
#define GLIB_DEPRECATED_TYPE_FOR(f) G_DEPRECATED_FOR(f)
                                    ^
/usr/local/include/glib-2.0/glib/gmacros.h:952:44: note: expanded from macro 'G_DEPRECATED_FOR'
#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))
                                           ^
2 warnings generated.
[ 56% 26/44] /usr/bin/cc -D_BSD_SOURCE -D_THREAD_SAFE -Igtk-v2/src -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/harfbuzz -I/usr/local/include/freetype2 -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/SDL -I. -Icommon -I/wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/common -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing   -pthread -std=gnu99 -MD -MT gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/image.c.o -MF gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/image.c.o.d -o gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/image.c.o -c /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/image.c
FAILED: gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/image.c.o 
/usr/bin/cc -D_BSD_SOURCE -D_THREAD_SAFE -Igtk-v2/src -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/harfbuzz -I/usr/local/include/freetype2 -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/SDL -I. -Icommon -I/wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/common -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing   -pthread -std=gnu99 -MD -MT gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/image.c.o -MF gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/image.c.o.d -o gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/image.c.o -c /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/image.c
In file included from /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/image.c:23:
In file included from /usr/local/include/gtk-2.0/gtk/gtk.h:33:
In file included from /usr/local/include/gtk-2.0/gtk/gtkaboutdialog.h:32:
In file included from /usr/local/include/gtk-2.0/gtk/gtkdialog.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkwindow.h:36:
In file included from /usr/local/include/gtk-2.0/gtk/gtkbin.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkcontainer.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkwidget.h:36:
In file included from /usr/local/include/gtk-2.0/gtk/gtkobject.h:37:
/usr/local/include/gtk-2.0/gtk/gtktypeutils.h:236:34: warning: 'GTypeDebugFlags' is deprecated [-Wdeprecated-declarations]
void            gtk_type_init   (GTypeDebugFlags    debug_flags);
                                 ^
/usr/local/include/glib-2.0/gobject/gtype.h:685:19: note: 'GTypeDebugFlags' has been explicitly marked deprecated here
} GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
                  ^
/usr/local/include/glib-2.0/glib/gversionmacros.h:510:49: note: expanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_36'
# define GLIB_DEPRECATED_TYPE_IN_2_36           GLIB_DEPRECATED_TYPE
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:1017:30: note: expanded from macro 'GLIB_DEPRECATED_TYPE'
#define GLIB_DEPRECATED_TYPE G_DEPRECATED
                             ^
/usr/local/include/glib-2.0/glib/gmacros.h:944:37: note: expanded from macro 'G_DEPRECATED'
#define G_DEPRECATED __attribute__((__deprecated__))
                                    ^
In file included from /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/image.c:23:
In file included from /usr/local/include/gtk-2.0/gtk/gtk.h:126:
In file included from /usr/local/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30:
In file included from /usr/local/include/gtk-2.0/gtk/gtktoolbutton.h:30:
In file included from /usr/local/include/gtk-2.0/gtk/gtktoolitem.h:31:
/usr/local/include/gtk-2.0/gtk/gtktooltips.h:73:3: warning: 'GTimeVal' is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  GTimeVal last_popdown;
  ^
/usr/local/include/glib-2.0/glib/gtypes.h:545:35: note: 'GTimeVal' has been explicitly marked deprecated here
typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
                                  ^
/usr/local/include/glib-2.0/glib/gversionmacros.h:923:49: note: expanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_62_FOR'
# define GLIB_DEPRECATED_TYPE_IN_2_62_FOR(f)    GLIB_DEPRECATED_TYPE_FOR(f)
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:1018:37: note: expanded from macro 'GLIB_DEPRECATED_TYPE_FOR'
#define GLIB_DEPRECATED_TYPE_FOR(f) G_DEPRECATED_FOR(f)
                                    ^
/usr/local/include/glib-2.0/glib/gmacros.h:952:44: note: expanded from macro 'G_DEPRECATED_FOR'
#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))
                                           ^
/wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/image.c:167:31: error: use of undeclared identifier 'ny'
        for (i=0; i < width * ny; i+= 4) {
                              ^
2 warnings and 1 error generated.
[ 59% 26/44] /usr/bin/cc -D_BSD_SOURCE -D_THREAD_SAFE -Igtk-v2/src -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/harfbuzz -I/usr/local/include/freetype2 -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/SDL -I. -Icommon -I/wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/common -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing   -pthread -std=gnu99 -MD -MT gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/info.c.o -MF gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/info.c.o.d -o gtk-v2/src/CMakeFiles/crossfire-client-gtk2.dir/info.c.o -c /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/info.c
In file included from /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/info.c:21:
In file included from /usr/local/include/gtk-2.0/gtk/gtk.h:33:
In file included from /usr/local/include/gtk-2.0/gtk/gtkaboutdialog.h:32:
In file included from /usr/local/include/gtk-2.0/gtk/gtkdialog.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkwindow.h:36:
In file included from /usr/local/include/gtk-2.0/gtk/gtkbin.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkcontainer.h:35:
In file included from /usr/local/include/gtk-2.0/gtk/gtkwidget.h:36:
In file included from /usr/local/include/gtk-2.0/gtk/gtkobject.h:37:
/usr/local/include/gtk-2.0/gtk/gtktypeutils.h:236:34: warning: 'GTypeDebugFlags' is deprecated [-Wdeprecated-declarations]
void            gtk_type_init   (GTypeDebugFlags    debug_flags);
                                 ^
/usr/local/include/glib-2.0/gobject/gtype.h:685:19: note: 'GTypeDebugFlags' has been explicitly marked deprecated here
} GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
                  ^
/usr/local/include/glib-2.0/glib/gversionmacros.h:510:49: note: expanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_36'
# define GLIB_DEPRECATED_TYPE_IN_2_36           GLIB_DEPRECATED_TYPE
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:1017:30: note: expanded from macro 'GLIB_DEPRECATED_TYPE'
#define GLIB_DEPRECATED_TYPE G_DEPRECATED
                             ^
/usr/local/include/glib-2.0/glib/gmacros.h:944:37: note: expanded from macro 'G_DEPRECATED'
#define G_DEPRECATED __attribute__((__deprecated__))
                                    ^
In file included from /wrkdirs/usr/ports/games/crossfire-client/work/crossfire-client-1.75.0/gtk-v2/src/info.c:21:
In file included from /usr/local/include/gtk-2.0/gtk/gtk.h:126:
In file included from /usr/local/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30:
In file included from /usr/local/include/gtk-2.0/gtk/gtktoolbutton.h:30:
In file included from /usr/local/include/gtk-2.0/gtk/gtktoolitem.h:31:
/usr/local/include/gtk-2.0/gtk/gtktooltips.h:73:3: warning: 'GTimeVal' is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  GTimeVal last_popdown;
  ^
/usr/local/include/glib-2.0/glib/gtypes.h:545:35: note: 'GTimeVal' has been explicitly marked deprecated here
typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
                                  ^
/usr/local/include/glib-2.0/glib/gversionmacros.h:923:49: note: expanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_62_FOR'
# define GLIB_DEPRECATED_TYPE_IN_2_62_FOR(f)    GLIB_DEPRECATED_TYPE_FOR(f)
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:1018:37: note: expanded from macro 'GLIB_DEPRECATED_TYPE_FOR'
#define GLIB_DEPRECATED_TYPE_FOR(f) G_DEPRECATED_FOR(f)
                                    ^
/usr/local/include/glib-2.0/glib/gmacros.h:952:44: note: expanded from macro 'G_DEPRECATED_FOR'
#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))
                                           ^
2 warnings generated.
ninja: build stopped: subcommand failed.
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/games/crossfire-client
Received on Thu Jul 29 2021 - 16:39:20 UTC

Original text of this message